Bug 242441 - www/caddy: Update to 1.0.4
Summary: www/caddy: Update to 1.0.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitri Goutnik
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-12-05 02:11 UTC by Shawn Wilsher
Modified: 2020-01-06 12:07 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (fabian.freyer)


Attachments
caddy-1.0.4.diff (1.04 KB, patch)
2019-12-05 02:11 UTC, Shawn Wilsher
no flags Details | Diff
caddy-1.0.4.diff v1.1 (1.70 KB, patch)
2019-12-14 17:15 UTC, Shawn Wilsher
no flags Details | Diff
caddy-1.0.4.diff v1.2 (1.58 KB, patch)
2019-12-16 05:05 UTC, Shawn Wilsher
no flags Details | Diff
caddy-1.0.4.diff v2 (9.38 KB, patch)
2020-01-03 13:40 UTC, Dmitri Goutnik
dmgk: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 GremL1N 2019-12-13 13:04:28 UTC
Test it on my FreeBSD 12.1-RELEASE-p1 GENERIC  amd64, works fine.
Just `caddy -version` show unknown
Comment 2 Shawn Wilsher 2019-12-14 16:26:18 UTC
It looks like I need to do some more modifications to get `caddy --version` to work: https://github.com/caddyserver/caddy/issues/2875
Comment 3 Shawn Wilsher 2019-12-14 16:28:09 UTC
Although it is maybe worth noting that the current version of the port prints this:
`Caddy (untracked dev build) (unofficial)`
Comment 4 Shawn Wilsher 2019-12-14 17:15:39 UTC
Created attachment 209947 [details]
caddy-1.0.4.diff v1.1

Fixes the `caddy --version` issue.
Comment 5 GremL1N 2019-12-16 03:32:15 UTC
(In reply to Shawn Wilsher from comment #4)

I've got an error:
make: "/usr/ports/www/caddy/Makefile" line 35: Need an operator
Comment 6 Shawn Wilsher 2019-12-16 05:05:02 UTC
Created attachment 209988 [details]
caddy-1.0.4.diff v1.2

now with unix newlines

I'm uploading this on Windows, and was silly and did a copy and paste to get the diff onto the machine from my FreeBSD machine.  This time I've used scp.
Comment 7 GremL1N 2019-12-16 07:39:51 UTC
Rewrite by hand and test. Successfull
Comment 8 Dmitri Goutnik freebsd_committer 2020-01-03 13:40:39 UTC
Created attachment 210417 [details]
caddy-1.0.4.diff v2

(In reply to Shawn Wilsher from comment #6)
Hi,

The patch is a good start but it's incomplete - it won't build in poudriere because upstream switched to go modules and doesn't vendor dependencies anymore.

The attached patch fixes this and also unbreaks the build on aarch64 (https://github.com/caddyserver/caddy/pull/2956)
Comment 9 Shawn Wilsher 2020-01-04 00:10:00 UTC
Ah, I hadn't caught that since poudriere wasn't part of the steps in the porter's handbook.  Thanks for catching and updating, Dmitri!
Comment 10 commit-hook freebsd_committer 2020-01-06 12:06:32 UTC
A commit references this bug:

Author: dmgk
Date: Mon Jan  6 12:05:57 UTC 2020
New revision: 522216
URL: https://svnweb.freebsd.org/changeset/ports/522216

Log:
  www/caddy: Update to 1.0.4

  - While here, unbreak on aarch64 (https://github.com/caddyserver/caddy/pull/2956)

  PR:		242441
  Submitted by:	Shawn Wilsher <me@shawnwilsher.com>
  Reviewed by:	GremL1N <viktor.dvz@gmail.com>, dmgk
  Approved by:	maintainer timeout (fabian.freyer@physik.tu-berlin.de, 1 month)

Changes:
  head/www/caddy/Makefile
  head/www/caddy/distinfo
Comment 11 Dmitri Goutnik freebsd_committer 2020-01-06 12:07:18 UTC
Committed, thanks everyone.